$primary-color:#008046;
$secondary-color:#c00;
$tertiary-color:#f8b100;

$breakpoint-smallscreen:640px;

$anchor-color:$secondary-color;
$anchor-color-hover:#900;
$anchor-text-decoration:none;
$anchor-text-decoration-hover:underline;

$font-family:OpenSans-Regular,sans-serif;
$font-size:100%;

$border-radius:0;
$breakpoint-mobile:1033px;
$icon-question-sign-color: #007e4f;
$stap-active-bg:$tertiary-color;

$button-id-bg-color:$primary-color;
$button-primary-bg-hover:#006c3b;
$button-primary-bg-active:$button-primary-bg-hover;
$button-id-bg-color-hover:$button-primary-bg-hover;
$button-id-bg-color-active:$button-id-bg-color-hover;

$pip-nav-item-padding:33px 0;
$pip-nav-border-width:1px;
$pip-nav-item-margin:0 30px 0 0;
$pip-nav-border-color:#ebebeb;
$pip-nav-anchor-color:#777;

$pip-progress-bar-bg:lighten($primary-color,58%);

$pip-phase-title-bg:$tertiary-color;
$pip-phase-title-border:$pip-phase-title-bg;
$pip-phase-title-bg-hover:darken($pip-phase-title-bg,3%);
$pip-phase-title-border-border:darken($pip-phase-title-bg,3%);
$pip-phase-title-current-bg:$tertiary-color;
$pip-phase-title-current-bg-hover:$pip-phase-title-bg-hover;

$toggle-pip-nav-color:#000;
$pip-mobile-nav-bg-color-toggled:#ebebeb;

$stap-line-height:1.3;


@import "template-normalize";
@import "template-defaults";
@import "pip-nav-reset";
@import "button-reset";
@import "template-media-queries";

html,body{
	height: 100%;
}

a.button:hover{
	color:#fff;
}

a.button-secondary:hover{
	color:#000;
}

th,td{
	padding:1.1em .3em;
}

input[type=checkbox],input[type=radio]{
	margin-top:0 !important;
}

#container {
	width: 1033px;
	margin: auto;
	position: relative;
	padding-bottom:50px;
}

input[type="search"] { @include box-sizing(border-box); }

p{ line-height: 1.5;}

.block-header h1 {
	font-size: 2.625em;
	margin: 40px 0 50px;
	line-height: 1.3;
}

.custom_overlay div{
	@include box-sizing(content-box);
}

label.titel{font-weight: 700;}

.header-actions{
	padding-top:5px;
	font-size:.85em;
	button,a,i{
		color: black;
	}
	button,a,button:hover,a:hover{
		border:none;
		background: none;
	}
	button:hover,a:hover,button:hover i, a:hover i{
		color:#000;
	}
}

.form-navigation{
	margin-bottom:0;
}

.stap-titel{
	font-size:1.75em;
	font-weight: normal;
	margin:35px 0 25px;
}

.stap-tekst h3{
	font-size:1.3em;
}

.pip-nav{
	font-weight: normal;
}

.pip-page-title h1{
	margin:15px 0 30px;
}

.pip-overview-block-title h2{
	margin-bottom:24px;
}

.pip-case-form-phase-title{
	color:#000;
}

.prelogin-info-tekst{
	h3{
		line-height: 1.6;
		margin-bottom:3px;
		font-weight: bold;
	}
	a{
		text-decoration: underline;
	}
}


@media only screen and (max-width: $breakpoint-mobile) {

  #container{
    width:100%;
    border:none;
  }

  .block-header{
	padding:12px 25px;
  }

  .header-actions{
  	padding-top:0;
  }

  .webform .block-header h1.block-header-title{
  	padding-right:0;
  }

  .pip-nav ul li{
  	 a{
  	 	padding:15px;
  	 }
  	 &.current a,a:hover{
  	 	border-bottom:none;
  	 }
  }

  .prelogin-button .button,
  .prelogin-info{
  	width:50%;
  }

  .block-content{
  	padding:12px 25px !important;
  }

  .form-navigation{
  	.stap{
  		text-align: left;
  	}
  }

  .pip-content{
  	padding:0 1rem;
  }

}

@media only screen and (max-width: $breakpoint-smallscreen) {

	.block-header{
		padding:12px;
		> h1{
		 	font-size:1.75em;
		 	margin: 44px 0 15px;
		}
	}

	.stap-titel{
		font-size:1.45em;
	}

	.prelogin-button .button,
	.prelogin-info{
	  	width:100%;
	  }

	  .block-content{
	  	padding:12px !important;
	  }

	  .form-navigation{
	  	.stap{
	  		text-align: center;
	  	}
	  }

}

input:focus,
textarea:focus,
button:focus,
a:focus{
    outline: thin dotted;
    outline: 5px solid #add8e6;
    outline-offset: -2px;
}


div.form-required-fields-explanation {
  color: black;
}

div.stap-tekst {
  border-color: black;
}

div.form > div.row {
  border-color: black;
}

input[type=email], input[type=number], input[type=password], input[type=text], input[type=url], textarea {
  border-color: black !important;
}
